# pion::PionException Class Reference

`#include <PionException.hpp>`

Inherits std::exception.

Inherited by pion::BadAssertException, pion::net::HTTPAuth::UnknownOptionException, pion::net::WebServer::AuthConfigException, pion::net::WebServer::ConfigNotFoundException, pion::net::WebServer::ConfigParsingException, pion::net::WebServer::ServiceNotFoundException, pion::net::WebServer::WebServiceException, pion::net::WebService::UnknownOptionException, pion::PionPlugin::DirectoryNotFoundException, pion::PionPlugin::OpenPluginException, pion::PionPlugin::PluginMissingCreateException, pion::PionPlugin::PluginMissingDestroyException, pion::PionPlugin::PluginNotFoundException, pion::PluginManager< PLUGIN_TYPE >::DuplicatePluginException, pion::PluginManager< PLUGIN_TYPE >::PluginNotFoundException, pion::plugins::FileService::DirectoryNotFoundException, pion::plugins::FileService::FileNotFoundException, pion::plugins::FileService::FileReadException, pion::plugins::FileService::InvalidCacheException, pion::plugins::FileService::InvalidOptionValueException, pion::plugins::FileService::InvalidScanException, pion::plugins::FileService::NotADirectoryException, pion::plugins::FileService::NotAFileException, and pion::plugins::FileService::UndefinedResponseException.

List of all members.

## Detailed Description

PionException: basic exception class that defines a what() function

Definition at line 24 of file PionException.hpp.

## Public Member Functions

virtual | ~PionException () throw ()
| PionException (const char *what_msg)
| PionException (const std::string &what_msg)
| PionException (const char *description, const std::string &param)
| PionException (std::string description, const std::string &param)
virtual const char * | what () const throw ()
| returns a descriptive message for the exception

The documentation for this class was generated from the following file:

- common/include/pion/PionException.hpp